use balanced_binary_tree::avl::AvlNode;

fn main() {
    println!("==========平衡二叉树===========");
    let root = AvlNode::new(46);
	let root = root.insert(13).unwrap();
	let root = root.insert(54).unwrap();
	let root = root.insert(4).unwrap();
	let root = root.insert(38).unwrap();
	let root = root.insert(101).unwrap();
	let root = root.insert(25).unwrap();
	let root = root.insert(62).unwrap();
	let root = root.insert(91).unwrap();
	let root = root.insert(3).unwrap();
	let root = root.insert(10).unwrap();
	let root = root.insert(7).unwrap();
	println!("插入后:{}",root);
	let root = root.del(46).unwrap();  
	println!("删除后:{}",root); 
}
